=head1 NAME

Gtk2::TextMark - wrapper for GtkTextMark

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::TextMark



=cut


=head1 METHODS

=head2 textmark = Gtk2::TextMark-E<gt>B<new> ($name, $left_gravity)

=over

=item * $name (string or undef) 

=item * $left_gravity (boolean) 

=back

Since: gtk+ 2.12

=head2 textbuffer or undef = $mark-E<gt>B<get_buffer> 

=head2 boolean = $mark-E<gt>B<get_deleted> 

=head2 boolean = $mark-E<gt>B<get_left_gravity> 

=head2 string or undef = $mark-E<gt>B<get_name> 

=head2 boolean = $mark-E<gt>B<get_visible> 

=head2 $mark-E<gt>B<set_visible> ($setting)

=over

=item * $setting (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'left-gravity' (boolean : default false : readable / writable / construct-only / private)

Whether the mark has left gravity

=item 'name' (string : default undef : readable / writable / construct-only / private)

Mark name

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

